%define upstream_name Data-Uniqid
%define upstream_version 0.12

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
Summary:        Perl extension for simple generating of unique id's
License:        GPL+ or Artistic
Group:          Development/C
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Math::BigInt) perl(Sys::Hostname) perl(Time::HiRes)
Requires:       perl(Math::BigInt) perl(Sys::Hostname) perl(Time::HiRes)

%description
Data::Uniqid provides three simple routines for generating unique ids.
These ids are coded with a Base62 system to make them short and handy (e.g.
to use it as part of a URL).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%_fixperms %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.120.0-6.mga9
+ Revision: 1802859
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-5.mga8
+ Revision: 1493798
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-4.mga7
+ Revision: 1267020
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1024944
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 950045
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 0.12-2.mga5
+ Revision: 792236
- drop bogus requires

* Mon Oct 20 2014 tv <tv> 0.12-1.mga5
+ Revision: 792192
- imported package perl-Data-Uniqid


* Mon Oct 20 2014 Thierry Vignaud <tv@mageia.org> 0.12-1.mga5
- import from FC

* Tue May 21 2013 Nick Bebout <nb@fedoraproject.org> 0.12-2
- Remove perl_vendorarch stuff

* Mon May 20 2013 Nick Bebout <nb@fedoraproject.org> 0.12-1
- Specfile autogenerated by cpanspec 1.78.
